Subject: Re: [PATCH] RFC: git lazy clone proof-of-concept

From: Jakub Narebski <[email-masked]>
Date: Thu, 14 Feb 2008 12:05:35 -0800 (PST)

Johannes Schindelin <[email-masked]> writes:

> Finally!
> 
> I updated to newest git+patches (git version 1.5.4.1.1353.g0d5dd), reset 
> windowMemory to 512m and restarted the process:
 
> A little over 6 hours, with one core (of the four available).  Not bad, I 
> say.
> 
> The result is:
> 
> $ ls -la objects/pack/pack-e4dc6da0a10888ec4345490575efc587b7523b45.pack
> -rwxrwxrwx 1 root root 1638490531 2008-02-14 17:51 
> objects/pack/pack-e4dc6da0a10888ec4345490575efc587b7523b45.pack
> 
> 1.6G looks much better than 2.4G, wouldn't you say?  Jan, if you want it, 
> please give me a place to upload it to.

Brandon Casey wrote:

> I have successfully repacked this repo a few times on a 2.1GHz
> system with 16G.
> 
> The smallest attained pack was about 1.45G (1556569742B).

Do you perchance know why OOo needs so large pack? Perhaps you could
try running contrib/stats/packinfo.pl on this pack to examine it to
get to know what takes most space.

What is the size of checkout, by the way?

Hmmm... I wonder if packv4 would help...
-- 
Jakub Narebski
Poland
ShadeHawk on #git